import { AxiosRequestConfig } from "axios";
export interface AjaxPaylod<T> extends AxiosRequestConfig {
    popupError?: boolean;
    successCodes?: number[];
    loginCodes?: number[];
    onLogin?: (res: T) => void;
}
export interface AjaxRes<T = any> {
    code: number;
    data?: T;
    msg?: string;
    stat?: number;
    traceId?: string;
    "Content-Disposition"?: string;
}
export interface CancelSource {
    cancel: (message?: string) => void;
}
export declare const instance: import("axios").AxiosInstance;
export declare function download<T>(payload: AjaxPaylod<T>): Promise<{
    data: T;
    filename?: string;
} | undefined>;
export declare function request<T>(payload: AjaxPaylod<AjaxRes<T>>, cancelSource?: CancelSource): Promise<AjaxRes<T> | undefined>;
